Skip to Content

Build Slidify Package from Source

Is anyone else having issues build the slidify package from github. I want to play around but the install returns an error. Here are the commmands I used and resulting error:

> library(devtools)
Rtools not on path and not installed in default location.
Warning message:
package ‘devtools’ was built under R version 2.14.2 
> install_github('slidify', 'ramnathv')
Installing github repo(s) slidify/master from ramnathv
Installing slidify.zip from <a href="https://github.com/ramnathv/slidify/zipball
Installing" title="https://github.com/ramnathv/slidify/zipball
Installing">https://github.com/ramnathv/slidify/zipball
Installing</a> slidify
* checking for file 'C:\Users\btibert\AppData\Local\Temp\RtmpsrQIgw\ramnathv-slidify-954647c/DESCRIPTION' ... OK
* preparing 'slidify':
* checking DESCRIPTION meta-information ... OK
Warning in .write_description(db, ldpath) :
  Unknown encoding with non-ASCII data: converting to ASCII
* checking for LF line-endings in source and make files
* checking for empty or unneeded directories
* building 'slidify_0.1.tar.gz'
 ERROR
packaging into .tar.gz failed
Error: Command failed (1)
In addition: Warning message:
running command '"C:/PROGRA~1/R/R-214~1.1/bin/i386/R" CMD build "C:\Users\btibert\AppData\Local\Temp\RtmpsrQIgw\ramnathv-slidify-954647c" --no-manual --no-vignettes' had status 1 

I am on Windows 7, but here is my session info just in case:

> sessionInfo()
R version 2.14.1 (2011-12-22)
Platform: i386-pc-mingw32/i386 (32-bit)
 
locale:
[1] LC_COLLATE=English_United States.1252  LC_CTYPE=English_United States.1252   
[3] LC_MONETARY=English_United States.1252 LC_NUMERIC=C                          
[5] LC_TIME=English_United States.1252    
 
attached base packages:
[1] stats     graphics  grDevices utils     datasets  methods   base     
 
other attached packages:
[1] devtools_0.6 plyr_1.7.1   RODBC_1.3-4 
 
loaded via a namespace (and not attached):
[1] RCurl_1.9-5.1 tools_2.14.1 

UPDATE: After updating to R 2.15.0, I get the following error (even after install Rtools):

Warning: invalid package 'Files/R/R-2.15.0/library'
Error: ERROR: cannot cd to directory 'C:/Program'
Error: Command failed (1)
In addition: Warning message:
running command '"C:/PROGRA~1/R/R-215~1.0/bin/i386/R" CMD INSTALL C:\Users\btibert\AppData\Local\Temp\Rtmp8oMxGU/slidify_0.1.tar.gz --library=C:/Program Files/R/R-2.15.0/library' had status 1